org.apache.commons.compress.compressors.lz77support

## Enum LZ77Compressor.Block.BlockType

- java.lang.Object
- - java.lang.Enum<LZ77Compressor.Block.BlockType>
  - - org.apache.commons.compress.compressors.lz77support.LZ77Compressor.Block.BlockType

- All Implemented Interfaces:
    Serializable, Comparable<LZ77Compressor.Block.BlockType>
  Enclosing class:
    LZ77Compressor.Block

      public static enum LZ77Compressor.Block.BlockType
      extends Enum<LZ77Compressor.Block.BlockType>

  Enumeration of the block types the compressor may emit.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK_REFERENCE`
    `EOD`
    `LITERAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LZ77Compressor.Block.BlockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LZ77Compressor.Block.BlockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LITERAL

          public static final LZ77Compressor.Block.BlockType LITERAL

    - #### BACK_REFERENCE

          public static final LZ77Compressor.Block.BlockType BACK_REFERENCE

    - #### EOD

          public static final LZ77Compressor.Block.BlockType EOD

  - ### Method Detail

    - #### values

          public static LZ77Compressor.Block.BlockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LZ77Compressor.Block.BlockType c : LZ77Compressor.Block.BlockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LZ77Compressor.Block.BlockType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.